Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZPaymentGatewayType Class Reference

Interface for different types of payment gateways. More...

Inheritance diagram for eZPaymentGatewayType:

## Public Member Functions
| __construct ()
| execute ( $process, $event)
| attributeDecoder ( $event, $attr)
| typeFunctionalAttributes ()
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| registerGateway ( $gateway, $class_name, $description)
| getGateways ( $gatewaysTypes)
| createGateway ( $inGatewayType)
| getCurrentGateway ( $event)
| getCurrentGatewayType ( $event)
| selectGateway ( $event)
| needCleanup ()
| cleanup ( $process, $event)
| initializeEvent ( $event)
| fetchHTTPInput ( $http, $base, $event)
Public Member Functions inherited from eZWorkflowEventType
| __construct ( $typeString='', $name='')
| eZWorkflowEventType ( $typeString, $name)
Public Member Functions inherited from eZWorkflowType
| __construct ( $group, $type, $groupName, $name)
| eZWorkflowType ( $group, $type, $groupName, $name)
| setAttribute ( $attr, $value)
| setTriggerTypes ( $allowedTypes)
| eventDescription ()
| validateHTTPInput ( $http, $base, $event, &$validation)
| fixupHTTPInput ( $http, $base, $event)
| setActivationDate ( $date)
| setInformation ( $inf)
| cleanupAfterRemoving ( $attr=array())
| customWorkflowEventHTTPAction ( $http, $action, $workflowEvent)
| workflowEventContent ( $event)
| storeEventData ( $event, $version)
| storeDefinedEventData ( $event)
| isAllowed ( $moduleName, $functionName, $connectType)

## Static Public Member Functions
| loadAndRegisterGateways ()
| loadAndRegisterBuiltInGateways ()
| loadAndRegisterExtensionGateways ()
Static Public Member Functions inherited from eZWorkflowEventType
static | registerEventType ( $typeString, $class_name)
Static Public Member Functions inherited from eZWorkflowType
static | statusName ( $status)
static | createType ( $typeString)
static | fetchRegisteredTypes ()
static | allowedTypes ()
static | loadAndRegisterAllTypes ()
static | registerType ( $group, $type, $class_name)
static | loadAndRegisterType ( $typeString)
static | statusNameMap ()

## Public Attributes
const | WORKFLOW_TYPE_STRING = 'ezpaymentgateway'
const | GATEWAY_NOT_SELECTED = 0
const | GATEWAY_SELECTED = 1
| $logger
Public Attributes inherited from eZWorkflowType
| $Attributes
const | STATUS_NONE = 0
const | STATUS_ACCEPTED = 1
const | STATUS_REJECTED = 2
const | STATUS_DEFERRED_TO_CRON = 3
const | STATUS_DEFERRED_TO_CRON_REPEAT = 4
const | STATUS_RUN_SUB_EVENT = 5
const | STATUS_WORKFLOW_CANCELLED = 6
const | STATUS_FETCH_TEMPLATE = 7
const | STATUS_FETCH_TEMPLATE_REPEAT = 8
const | STATUS_REDIRECT = 10
const | STATUS_WORKFLOW_DONE = 9
const | STATUS_REDIRECT_REPEAT = 11
const | STATUS_WORKFLOW_RESET = 12
| $Group
| $Type
| $TypeString
| $GroupName
| $Name
| $ActivationDate
| $Information
| $TriggerTypes = array( '*' => true )

## Detailed Description

Interface for different types of payment gateways.

Allows use multiple payment gateways in workflow. Allows user to choose necessary gateway type 'on the fly'.

Definition at line 19 of file ezpaymentgatewaytype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZPaymentGatewayType::__construct | ( |  | ) |

Definition at line 25 of file ezpaymentgatewaytype.php.

References eZPaymentLogger\CreateForAdd(), loadAndRegisterGateways(), ezpI18n\tr(), and WORKFLOW_TYPE_STRING.

## Member Function Documentation

## ◆ attribute()

eZPaymentGatewayType::attribute | ( |  | $attr | ) |

Reimplemented from eZWorkflowType.

Definition at line 119 of file ezpaymentgatewaytype.php.

References eZWorkflowType\attribute(), and getGateways().

## ◆ attributeDecoder()

eZPaymentGatewayType::attributeDecoder | ( |  | $event,
|  |  | $attr
| ) |  |

Attributes. There are three types of gateways in eZPaymentGatewayType. 'Available' gateways - gateways that were installed in the eZPublish (as extensions, build-in); 'Selected' gateways - gateways that were selected for this instance of eZPaymentGatewayType; 'Current' gateway - through this gateway payment will be made.

Reimplemented from eZWorkflowType.

Definition at line 78 of file ezpaymentgatewaytype.php.

References getGateways().

## ◆ attributes()

eZPaymentGatewayType::attributes | ( |  | ) |

Reimplemented from eZWorkflowType.

Definition at line 108 of file ezpaymentgatewaytype.php.

References eZWorkflowType\attributes().

Referenced by hasAttribute().

## ◆ cleanup()

eZPaymentGatewayType::cleanup | ( |  | $process,
|  |  | $event
| ) |  |

Delegate to eZPaymentGateway subclass.

Reimplemented from eZWorkflowType.

Definition at line 341 of file ezpaymentgatewaytype.php.

References getCurrentGateway().

## ◆ createGateway()

eZPaymentGatewayType::createGateway | ( |  | $inGatewayType | ) |

Creates and returns object of eZPaymentGateway subclass.

Definition at line 250 of file ezpaymentgatewaytype.php.

Referenced by getCurrentGateway().

## ◆ execute()

eZPaymentGatewayType::execute | ( |  | $process,
|  |  | $event
| ) |  |

Creates necessary gateway and delegate execution to it. If there are multiple gateways in eZPaymentGatewayType, fetches template with list of 'selected'(see. 'attributes' section) gateways and asks user to choose one.

Reimplemented from eZWorkflowType.

Definition at line 40 of file ezpaymentgatewaytype.php.

References GATEWAY_NOT_SELECTED, GATEWAY_SELECTED, getCurrentGateway(), selectGateway(), eZWorkflowType\STATUS_FETCH_TEMPLATE_REPEAT, and eZWorkflowType\STATUS_REJECTED.

## ◆ fetchHTTPInput()

eZPaymentGatewayType::fetchHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $event
| ) |  |

Sets 'selected' gateways. -1 means 'Any' - all 'available' gateways becomes 'selected'.

Reimplemented from eZWorkflowType.

Definition at line 359 of file ezpaymentgatewaytype.php.

## ◆ getCurrentGateway()

eZPaymentGatewayType::getCurrentGateway | ( |  | $event | ) |

Returns 'current' gateway.

Definition at line 269 of file ezpaymentgatewaytype.php.

References createGateway(), and getCurrentGatewayType().

Referenced by cleanup(), and execute().

## ◆ getCurrentGatewayType()

eZPaymentGatewayType::getCurrentGatewayType | ( |  | $event | ) |

Returns 'current' gatewaytype.

Definition at line 286 of file ezpaymentgatewaytype.php.

References eZHTTPTool\instance().

Referenced by getCurrentGateway().

## ◆ getGateways()

eZPaymentGatewayType::getGateways | ( |  | $gatewaysTypes | ) |

Returns an array of gateways difinitions( class_name, description ) by 'gatewaysTypes'( array of 'gateway' values that were passed to 'registerGateway' function).

Definition at line 221 of file ezpaymentgatewaytype.php.

Referenced by attribute(), and attributeDecoder().

## ◆ hasAttribute()

eZPaymentGatewayType::hasAttribute | ( |  | $attr | ) |

Reimplemented from eZWorkflowType.

Definition at line 114 of file ezpaymentgatewaytype.php.

References attributes().

## ◆ initializeEvent()

eZPaymentGatewayType::initializeEvent | ( |  | $event | ) |

Reimplemented from eZWorkflowType.

Definition at line 350 of file ezpaymentgatewaytype.php.

## ◆ loadAndRegisterBuiltInGateways()

eZPaymentGatewayType::loadAndRegisterBuiltInGateways | ( |  | ) |
| static

Definition at line 145 of file ezpaymentgatewaytype.php.

Referenced by loadAndRegisterGateways().

## ◆ loadAndRegisterExtensionGateways()

eZPaymentGatewayType::loadAndRegisterExtensionGateways | ( |  | ) |
| static

Definition at line 177 of file ezpaymentgatewaytype.php.

References eZExtension\activeExtensions().

Referenced by loadAndRegisterGateways().

## ◆ loadAndRegisterGateways()

eZPaymentGatewayType::loadAndRegisterGateways | ( |  | ) |
| static

Searches 'available' gateways( built-in or as extensions ).

Definition at line 136 of file ezpaymentgatewaytype.php.

References loadAndRegisterBuiltInGateways(), and loadAndRegisterExtensionGateways().

Referenced by __construct().

## ◆ needCleanup()

eZPaymentGatewayType::needCleanup | ( |  | ) |

Reimplemented from eZWorkflowType.

Definition at line 332 of file ezpaymentgatewaytype.php.

## ◆ registerGateway()

eZPaymentGatewayType::registerGateway | ( |  | $gateway,
|  |  | $class_name,
|  |  | $description
| ) |  |

Each gateway must call this function to become 'available'.

Definition at line 198 of file ezpaymentgatewaytype.php.

References eZDebug\writeError().

## ◆ selectGateway()

eZPaymentGatewayType::selectGateway | ( |  | $event | ) |

Sets 'current' gateway from 'selected' gateways. If 'selected' is just one, it becomes 'current'. Else user have to choose some( appropriate template will be shown).

Definition at line 315 of file ezpaymentgatewaytype.php.

Referenced by execute().

## ◆ typeFunctionalAttributes()

eZPaymentGatewayType::typeFunctionalAttributes | ( |  | ) |

Reimplemented from eZWorkflowType.

Definition at line 103 of file ezpaymentgatewaytype.php.

## Member Data Documentation

## ◆ $logger

eZPaymentGatewayType::$logger

Definition at line 375 of file ezpaymentgatewaytype.php.

## ◆ GATEWAY_NOT_SELECTED

const eZPaymentGatewayType::GATEWAY_NOT_SELECTED = 0

Definition at line 22 of file ezpaymentgatewaytype.php.

Referenced by execute().

## ◆ GATEWAY_SELECTED

const eZPaymentGatewayType::GATEWAY_SELECTED = 1

Definition at line 23 of file ezpaymentgatewaytype.php.

Referenced by execute().

## ◆ WORKFLOW_TYPE_STRING

const eZPaymentGatewayType::WORKFLOW_TYPE_STRING = 'ezpaymentgateway'

Definition at line 21 of file ezpaymentgatewaytype.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- ezpaymentgatewaytype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.